	<-[ Mutator ]->

Project Name: Mutator
Author: @AloneInTheShell
Source: https://bitbucket.org/alone/mutator
Description:

This project aims to be a wordlist mutator with hormones, which means that some
mutations will be applied to the result of the ones that have been already done,
resulting in something like:

corporation -> C0rp0r4t10n_2012

This software is usefull when applied to a few words, like company name and/or 
domain name targeted or the usernames of the system administrators. You must 
think that the number of wrds resulting of applying all mutations is exponential
: a 1 word input would generate an output of 1200 words; a 4 words input would 
generate an output of 4800 words.

The actual mutations supported are:
* Case mutations (toUpper, toLower, FirstCharUpper, SwapCase)
* T0 l33t mutation
* Add Special Char mutation
* Append String of a predefined list
* Append Date 

Some mutations are strange, and some of them have no sense applied together, 
like *_strings and add_year, but is your decision, for that exists the 
parameters xDDD

The mutations "prepend_string" is commented becouse IMHO have no sense xD and 
is rare find passwords like this but feel free to uncommented it, and don't 
forget uncomment it in mutator.h too


Syntax: mutator [options] wordlist

Options:
	-v, --version      	Show version information
	-h, --help         	Show this help
	-o, --output [file]	File to write the results
	-f, --file [file]* 	File from read the words
	-w, --word [word]* 	Word to mutate
	-b, --basic        	Only "case" and "l33t" mutations
	-a, --advanced     	Only advanced mutations
	-y, --years=[year] 	No append,prepend year, if a year is specified appendrange between year specified and actual year, you can specified a range as well [year-year]
	-x, --specials     	No append specials chars
	-s, --strings      	No append,prepend hardcoded strings

	One of these options -w or -f is required

Use Case:

$ ./mutator -w company -o company.dic

$ for i in $(cat user.dic);do ./mutator -w $i -o $i.dic; done
